Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | List of all members
OpenVolumeMesh::EdgePropertyT< T > Singleton Reference
Inheritance diagram for OpenVolumeMesh::EdgePropertyT< T >:

## Public Member Functions
| EdgePropertyT (const std::string &_name, ResourceManager &_resMan, EdgePropHandle _handle, const T _def=T())
virtual void | serialize (std::ostream &_ostr) const
virtual void | deserialize (std::istream &_istr)
virtual const std::string | entityType () const
virtual const std::string | typeNameWrapper () const
Public Member Functions inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, EdgePropHandle >
| PropertyPtr (OpenVolumeMeshPropertyT< T > *_ptr, ResourceManager &_resMan, EdgePropHandle_handle)
| Constructor.
virtual | ~PropertyPtr ()
| Destructor.
virtual const std::string & | name () const
virtual void | delete_element (size_t _idx)
virtual void | swap_elements (size_t _idx0, size_t _idx1)
const_iterator | begin () const
iterator | begin ()
const_iterator | end () const
iterator | end ()
reference | operator[] (size_t _idx)
const_reference | operator[] (size_t _idx) const
reference | operator[] (const OpenVolumeMeshHandle &_h)
const_reference | operator[] (const OpenVolumeMeshHandle &_h) const
virtual OpenVolumeMeshHandle | handle () const
virtual bool | persistent () const
virtual bool | anonymous () const
Public Member Functions inherited from OpenVolumeMesh::BaseProperty
| BaseProperty (ResourceManager &_resMan)
| BaseProperty (const BaseProperty &_cpy)
BaseProperty & | operator= (const BaseProperty &_cpy)

## Additional Inherited Members
Public Types inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, EdgePropHandle >
typedef OpenVolumeMeshPropertyT< T > ::value_type | value_type
typedef OpenVolumeMeshPropertyT< T > ::vector_type::const_iterator | const_iterator
typedef OpenVolumeMeshPropertyT< T > ::vector_type::iterator | iterator
typedef OpenVolumeMeshPropertyT< T > ::reference | reference
typedef OpenVolumeMeshPropertyT< T > ::const_reference | const_reference
Protected Member Functions inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, EdgePropHandle >
virtual void | delete_multiple_entries (const std::vector< bool > &_tags)
virtual void | resize (unsigned int _size)
virtual void | set_handle (const OpenVolumeMeshHandle &_handle)
Protected Member Functions inherited from OpenVolumeMesh::BaseProperty
void | lock ()
void | unlock ()
bool | locked () const
Protected Attributes inherited from OpenVolumeMesh::BaseProperty
ResourceManager & | resMan_
bool | lock_

## Detailed Description

### template<class T>
singleton OpenVolumeMesh::EdgePropertyT< T >

Definition at line 88 of file PropertyDefines.hh.

The documentation for this singleton was generated from the following files:

- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/PropertyDefines.hh
- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/PropertyDefinesT.cc